import { INPMProject, IProjectEnv, Scaffolder } from "@telerik/scaffolding";
import { Grid as GridPageUserInput } from "./schema";
import type GridPageOptions from "./schema.json";
export declare class GridPageScaffolder extends Scaffolder<GridPageUserInput> {
    static schema(): Promise<typeof GridPageOptions>;
    readGridMustaches(): Promise<string>;
    readGridDataMustaches(): Promise<string>;
    readGridCommandCellMustaches(): Promise<string>;
    apply(project: INPMProject, env: IProjectEnv): Promise<void>;
}
